Cancel a dataset import
curl --request DELETE \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Cancel a dataset import
DELETE
/
tasks
/
{alias}
/
dataset-imports
/
{importId}
Cancel a dataset import
Authorizations
A W&B API key.
Headers
Accessible personal or team entity. Omit to use the authenticated user's default entity.
Response
Import was cancelled and uploaded objects were removed.
Last modified on September 21, 2026
Was this page helpful?